%define upstream_name    PerlIO-eol
%define upstream_version 0.19

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    PerlIO layer for normalizing line endings
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/A/AU/AUTRIJUS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp) >= 0.190.0
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
%description
This perl module enable you to normalize line endings
This layer normalizes any of CR, LF, CRLF and Native into the designated line 
ending. 
It works for both input and output handles.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make
%check 
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/*/*
%{perl_vendorarch}/PerlIO
%{perl_vendorarch}/auto/PerlIO


%changelog
* Tue Nov 28 2023 tv <tv> 0.190.0-2.mga10
+ Revision: 2010592
- Rebuild for perl-5.38

* Tue Aug 29 2023 tv <tv> 0.190.0-1.mga10
+ Revision: 1981009
- update to 0.19

* Tue Jun 07 2022 umeabot <umeabot> 0.170.0-9.mga9
+ Revision: 1862272
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.170.0-8.mga9
+ Revision: 1795981
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.170.0-7.mga9
+ Revision: 1727003
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.170.0-6.mga8
+ Revision: 1595137
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 0.170.0-5.mga8
+ Revision: 1529114
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tv <tv> 0.170.0-4.mga8
+ Revision: 1433122
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.170.0-3.mga7
+ Revision: 1293654
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.170.0-2.mga7
+ Revision: 1249257
- Rebuild for perl 5.28

* Tue Dec 26 2017 shlomif <shlomif> 0.170.0-1.mga7
+ Revision: 1185241
- update to 0.17

* Tue Oct 03 2017 tv <tv> 0.160.0-4.mga7
+ Revision: 1166167
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.160.0-3.mga7
+ Revision: 1149104
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.160.0-2.mga7
+ Revision: 1126441
- Rebuild against new Perl 5.26

* Sun May 08 2016 shlomif <shlomif> 0.160.0-1.mga6
+ Revision: 1010758
- update to 0.16

* Fri Feb 12 2016 umeabot <umeabot> 0.140.0-13.mga6
+ Revision: 957880
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.140.0-12.mga6
+ Revision: 845109
- rebuild for soname-ifed perl

* Wed Jun 24 2015 sander85 <sander85> 0.140.0-11.mga6
+ Revision: 841789
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.140.0-10.mga5
+ Revision: 751028
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.140.0-9.mga5
+ Revision: 685959
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.140.0-8.mga5
+ Revision: 631602
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.140.0-7.mga4
+ Revision: 524927
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.140.0-6.mga4
+ Revision: 431734
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.140.0-5.mga3
+ Revision: 371789
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.140.0-4.mga3
+ Revision: 251054
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.140.0-3.mga2
+ Revision: 104909
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.140.0-2.mga1
+ Revision: 31044
- mageia rebuild
- imported package perl-PerlIO-eol

